// aurora
let left = `color0    #14191e
color8    #454459
color1    #e55c7a
color9    #cd5c60
color2    #31E183
color10   #7CF083
color3    #f5c791
color11   #dbac66
color4    #4ca6e8
color12   #91b9c7
color5    #9d81ba
color13   #6E6884
color6    #49bdb0
color14   #0D9C94
color7    #e6e6e8
color15   #f2f2f2`
    .replaceAll(/\s+/g, ':')
    .split('\n')
    .map(e => e.toUpperCase().split(':') )

// normal
let right = `color0   #4B5254
color8   #879193
color1   #CD5C60
color9   #E36D5B
color2   #6FB593
color10  #72CCBA
color3   #DBAC66
color11  #F2C866
color4   #91B9C7
color12  #97B8DE
color5   #845A84
color13  #8C629C
color6   #4D9391
color14  #5096AB
color7   #E4E4E8
color15  #EFEFF1`
    .replaceAll(/\s+/g, ':')
    .split('\n')
    .map(e => e.toUpperCase().split(':') )

left = new Map(left)

let source = `base00 = "#18181B"
base01 = "#222225"
base02 = "#4B5254"
base03 = "#545C5E"
base04 = "#879193"
base05 = "#9ba5a7"
base06 = "#d0d0d4"
base07 = "#E4E4E8"
base08 = "#CD5C60"
base09 = "#DBAC66"
base0A = "#F2C866"
base0B = "#6FB593"
base0C = "#4D9391"
base0D = "#91B9C7"
base0E = "#845A84"
base0F = "#E36D5B"`

for(let [ name, value ] of right) {
    source = source.replaceAll(value, left.get(name))
}

console.log(source)